Thrown to print usage documentation and an error message

### Hierarchy

- Error
  - CliUsageError

## Index

### Constructors

- constructor

### Properties

- code
- message
- name
- stack
- tree
- Error

## Constructors

### constructor

- new CliUsageError(message?: undefined | string, tree?: ICliTree): CliUsageError

- - Defined in src/cli-usage-error.ts:14

  #### Parameters

  - ##### Optional message: undefined | string

    If provided, `ICli.run` will also print "Error: <your message>"

  - ##### Optional tree: ICliTree

    Used internally for constructing the command-line usage string

  #### Returns CliUsageError

## Properties

### code

code: typeof CLI_USAGE_ERROR

- Defined in src/cli-usage-error.ts:11

The string constant `CLI_USAGE_ERROR`

### message

message: string

Inherited from CliTerseError.message

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1023

### name

name: string

Inherited from CliTerseError.name

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1022

### Optional stack

stack: undefined | string

Inherited from CliTerseError.stack

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1024

### Optional tree

tree: ICliTree

- Defined in src/cli-usage-error.ts:14

Used internally for generating usage documentation

### Static Error

Error: ErrorConstructor

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1033

Generated using TypeDoc and MonoLisa